Always make the keyboard shortcut (meta-V) open the visual editor, even if I have a Single Edit Tab that is assigned to always open wikitext editor
Closed, ResolvedPublic8 Story Points

Description

Right now, in Firefox/Mac, at all wikis where VisualEditor is enabled for my account, from read mode, I can press control-option-v to open a page in VisualEditor or control-option-e to open it in the wikitext editor.

I like this. I like being able to explicitly choose my editor, and I like being able to do it from the keyboard. I want these keyboard shortcuts to keep working exactly like they do now, regardless of which editing environment I used last, even when there is only one edit tab.

Whatamidoing-WMF updated the task description. (Show Details)
Whatamidoing-WMF raised the priority of this task from to Normal.

IMO it's not necessary for this keyboard shortcut to work from within the wikitext editor, so the request at T69218 could presumably still be fulfilled. Alternatively, it could be kept in the editor (tied to the new button for switching to VisualEditor), and the keyboard shortcut for diffs could be changed.

Krenair added a subscriber: Krenair.EditedOct 23 2015, 7:28 PM

I don't think it makes a lot of sense for this to be a separate task
Edit: This comment made more sense when I wrote it, less now.

Qgil mentioned this in Unknown Object (Task).Feb 2 2016, 1:53 PM
Whatamidoing-WMF reopened this task as Open.EditedApr 5 2016, 1:10 AM

This is not about Firefox. This is not about a bug that was reported in November 2014.

This is about mid-2016, when Single Edit Tab will be at more wikis. This is about a what happens in Safari and other web browsers.

Current behavior:

  1. Set your SET preferences to a single tab (any single tab setting).
  2. Decide that – no matter your prefs say – for this edit, you want to start in the visual editor.
  3. Press meta-V.
  4. See the page reload with a strange URL, but not actually open either editing environment.

Desirable behavior:

  1. Set your SET preferences to a single tab (any single tab setting).
  2. Decide that – no matter your prefs say – for this edit, you want to start in the visual editor.
  3. Press meta-V.
  4. See the page open in the visual editor.
Whatamidoing-WMF renamed this task from When a editors have a single edit tab, keep the existing keyboard shortcuts that allow them to explicitly choose which editing environment to open to Always make the keyboard shortcut (meta-V) open the visual editor, even if I have a Single Edit Tab that is assigned to always open wikitext editor (all browsers/all OSes).Apr 5 2016, 1:15 AM
Whatamidoing-WMF set Security to None.

Change 283591 had a related patch set uploaded (by Alex Monk):
Add a hidden link with accesskey=v in SET prefer-wt mode

https://gerrit.wikimedia.org/r/283591

AlexMonk-WMF renamed this task from Always make the keyboard shortcut (meta-V) open the visual editor, even if I have a Single Edit Tab that is assigned to always open wikitext editor (all browsers/all OSes) to Always make the keyboard shortcut (meta-V) open the visual editor, even if I have a Single Edit Tab that is assigned to always open wikitext editor.
Jdforrester-WMF set the point value for this task to 8.Apr 29 2016, 4:17 PM

Change 283591 merged by jenkins-bot:
Add a hidden link with accesskey=v in SET prefer-wt mode and remember-last wikitext

https://gerrit.wikimedia.org/r/283591

Glaisher removed a subscriber: Glaisher.May 3 2016, 12:21 PM